System.Web 2.0.0.0 System.Configuration.ConfigurationElementCollection System.Configuration.ConfigurationCollection(typeof(System.Web.Configuration.BuildProvider), CollectionType=System.Configuration.ConfigurationElementCollectionType.AddRemoveClearMap)

The is used to compile custom resource files. You can have any number of build providers. The does not refer to any actual element in the underlying configuration file. It is a construct that allows easy access to the compilation information it contains.

Represents a collection of objects. This class cannot be inherited.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Void ``

  If the object already exists in the collection, the build provider is ignored.

  Adds a object to the .

  A object. 2.0.0.0
- Method
  System.Void To be added.

  Clears all objects from the .

  2.0.0.0
- Method
  System.Configuration.ConfigurationElement To be added. To be added. To be added. 2.0.0.0
- Method
  System.Object `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Web.Configuration.BuildProvider `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Web.Configuration.BuildProvider `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void ``

  If the does not exist in the collection, the build provider is ignored.

  Removes a object from the .

  A string value specifying the reference. 2.0.0.0
- Method
  System.Void ``

  If the index does not specify a in the collection, an out-of-range exception is thrown.

  Removes the object at the specified index from the .

  An integer value specifying the location of a specific object within the . 2.0.0.0